<div class="card card-outline card-primary">
	<div class="card-header">
		<h3 class="card-title">Blocked Days</h3>
        <div class="card-tools">
			<a href="javascript:void(0)" id="create_new" class="btn btn-flat btn-primary"><span class="fas fa-plus"></span>  Add New</a>
		</div>
	</div>
	<div class="card-body">
		<div class="container-fluid">
          <table id="blockdaysTable" class="table table-bordered table-hover" style="width: 100%;">
	       <thead>
	        <tr>
	        	<th>ID</th>
	            <th>Dates</th>
	            <th>Boarding</th>
	            <th>Bath</th>
	            <th>Shaves</th>
	            <th>Action</th>
	        </tr>
	       </thead>
	      </table>
		</div>
	</div>
</div>
<?php
$now = date("Y-m-d", strtotime( '0 days' ));
$fetchid = $now;
?>
<script>
	$(document).ready(function(){
		var today = new Date();
        var dd = String(today.getDate()).padStart(2, '0');
        var mm = String(today.getMonth() + 1).padStart(2, '0');
        var yyyy = today.getFullYear();
            today = mm + '/' + dd + '/' + yyyy;
		var table = $('#blockdaysTable').DataTable( { 
		    "processing": true,
		    "serverSide": true,
		    "ajax": "fetch/blockdays.php?fetchid=<?=$fetchid?>",
		    "order": [[1, 'asc']],
		    "pageLength": 25,
		    "language": 
		        {                
                    "infoFiltered": ""
                },
		    "columnDefs": 
		    [
                {
                    "targets": [ 0 ],
                    "visible": false,
                    "searchable": false
                },
                {
                    "targets": [ 2, 3, 4, -1 ],
                    "className": "text-center"
                },
                
		        {
		         	"targets": -1,
		            "data": null,
		            "defaultContent": "<center><div class='btn-group'><button type='button' class='btn btn-default'>Action</button><button type='button' class='btn btn-default dropdown-toggle dropdown-icon' data-toggle='dropdown' aria-expanded='false'><span class='sr-only'>Toggle Dropdown</span></button><div class='dropdown-menu' role='menu' style=''><a class='dropdown-item edit' href='#'><span class='fa fa-edit text-primary'></span> Edit</a><div class='dropdown-divider'></div><a class='dropdown-item delete_data' href='#'><span class='fa fa-trash text-danger'></span> Delete</a></div></div></center>" 
		        }
		        ]
		    });

		    // Numbering 
		    table.on('draw.dt', function () {
	            var info = table.page.info();
	            table.column(0, { search: 'applied', order: 'applied', page: 'applied' }).nodes().each(function (cell, i) {
	                cell.innerHTML = i + 1 + info.start;
	            });
	        });
	      
		    $('#create_new').click(function(){
			uni_modal("<i class='fa fa-plus'></i> Add Blocked Day","business/manage_blockday.php","mid-large")
		    })
		    
		    $('.delete_data').click(function(){
			_conf("Are you sure to delete this Item permanently?","delete_category",[$(this).attr('data-id')])
		    })
		    
		    $('#blockdaysTable tbody').on( 'click', '.edit', function () {
			var data = table.row( $(this).parents('tr')).data();
		    var data1 = data[0];
		    uni_modal("<i class='fa fa-calendar-check'></i> Edit Blocked Day" ,"business/manage_blockday.php?id="+ data1 ,"mid-large")
		    })

		    $('#blockdaysTable tbody').on( 'click', '.view', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        var data1 = btoa(data[0]);
		        window.location.href = "<?=base_url?>admin/?page=customer/&userid="+ data1;
		    });

		    $('#blockdaysTable tbody').on( 'click', '.delete', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        window.location.href = "<?=base_url?>admin/?page=reservations/edit&id="+ data[0];
		    });
		})

    function delete_category($id){
		start_loader();
		$.ajax({
			url:_base_url_+"classes/Master.php?f=delete_blockday",
			method:"POST",
			data:{id: $id},
			dataType:"json",
			error:err=>{
				console.log(err)
				alert_toast("An error occured.",'error');
				end_loader();
			},
			success:function(resp){
				if(typeof resp== 'object' && resp.status == 'success'){
					location.reload();
				}else{
					alert_toast("An error occured.",'error');
					end_loader();
				}
			}
		})
	}		
	</script>